Index: branches/WebJobManager/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisProblem.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisProblem.cs	(revision 13397)
+++ branches/WebJobManager/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisProblem.cs	(revision 13656)
@@ -24,8 +24,6 @@
 
 using System;
-using System.Drawing;
 using System.Linq;
 using HeuristicLab.Common;
-using HeuristicLab.Common.Resources;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
@@ -74,35 +72,46 @@
 
     #region parameter properties
-    IParameter IDataAnalysisProblem.ProblemDataParameter {
+    IParameter IDataAnalysisProblem.ProblemDataParameter
+    {
       get { return ProblemDataParameter; }
     }
-    public IValueParameter<T> ProblemDataParameter {
+    public IValueParameter<T> ProblemDataParameter
+    {
       get { return (IValueParameter<T>)Parameters[ProblemDataParameterName]; }
     }
-    public IValueParameter<ISymbolicDataAnalysisGrammar> SymbolicExpressionTreeGrammarParameter {
+    public IValueParameter<ISymbolicDataAnalysisGrammar> SymbolicExpressionTreeGrammarParameter
+    {
       get { return (IValueParameter<ISymbolicDataAnalysisGrammar>)Parameters[SymbolicExpressionTreeGrammarParameterName]; }
     }
-    public IValueParameter<ISymbolicDataAnalysisExpressionTreeInterpreter> SymbolicExpressionTreeInterpreterParameter {
+    public IValueParameter<ISymbolicDataAnalysisExpressionTreeInterpreter> SymbolicExpressionTreeInterpreterParameter
+    {
       get { return (IValueParameter<ISymbolicDataAnalysisExpressionTreeInterpreter>)Parameters[SymbolicExpressionTreeInterpreterParameterName]; }
     }
-    public IFixedValueParameter<IntValue> MaximumSymbolicExpressionTreeLengthParameter {
+    public IFixedValueParameter<IntValue> MaximumSymbolicExpressionTreeLengthParameter
+    {
       get { return (IFixedValueParameter<IntValue>)Parameters[MaximumSymbolicExpressionTreeLengthParameterName]; }
     }
-    public IFixedValueParameter<PercentValue> RelativeNumberOfEvaluatedSamplesParameter {
+    public IFixedValueParameter<PercentValue> RelativeNumberOfEvaluatedSamplesParameter
+    {
       get { return (IFixedValueParameter<PercentValue>)Parameters[RelativeNumberOfEvaluatedSamplesParameterName]; }
     }
-    public IFixedValueParameter<IntRange> FitnessCalculationPartitionParameter {
+    public IFixedValueParameter<IntRange> FitnessCalculationPartitionParameter
+    {
       get { return (IFixedValueParameter<IntRange>)Parameters[FitnessCalculationPartitionParameterName]; }
     }
-    public IFixedValueParameter<IntRange> ValidationPartitionParameter {
+    public IFixedValueParameter<IntRange> ValidationPartitionParameter
+    {
       get { return (IFixedValueParameter<IntRange>)Parameters[ValidationPartitionParameterName]; }
     }
-    public IFixedValueParameter<BoolValue> ApplyLinearScalingParameter {
+    public IFixedValueParameter<BoolValue> ApplyLinearScalingParameter
+    {
       get { return (IFixedValueParameter<BoolValue>)Parameters[ApplyLinearScalingParameterName]; }
     }
-    public IValueParameter<IntMatrix> BoundsParameter {
+    public IValueParameter<IntMatrix> BoundsParameter
+    {
       get { return (IValueParameter<IntMatrix>)Parameters[BoundsParameterName]; }
     }
-    public IValueParameter<IGenotypeToPhenotypeMapper> GenotypeToPhenotypeMapperParameter {
+    public IValueParameter<IGenotypeToPhenotypeMapper> GenotypeToPhenotypeMapperParameter
+    {
       get { return (IValueParameter<IGenotypeToPhenotypeMapper>)Parameters[GenotypeToPhenotypeMapperParameterName]; }
     }
@@ -111,38 +120,47 @@
     #region properties
     public string Filename { get; set; }
-    public static new Image StaticItemImage { get { return VSImageLibrary.Type; } }
-
-    IDataAnalysisProblemData IDataAnalysisProblem.ProblemData {
+
+
+    IDataAnalysisProblemData IDataAnalysisProblem.ProblemData
+    {
       get { return ProblemData; }
     }
-    public T ProblemData {
+    public T ProblemData
+    {
       get { return ProblemDataParameter.Value; }
       set { ProblemDataParameter.Value = value; }
     }
 
-    public ISymbolicDataAnalysisGrammar SymbolicExpressionTreeGrammar {
+    public ISymbolicDataAnalysisGrammar SymbolicExpressionTreeGrammar
+    {
       get { return SymbolicExpressionTreeGrammarParameter.Value; }
       set { SymbolicExpressionTreeGrammarParameter.Value = value; }
     }
-    public ISymbolicDataAnalysisExpressionTreeInterpreter SymbolicExpressionTreeInterpreter {
+    public ISymbolicDataAnalysisExpressionTreeInterpreter SymbolicExpressionTreeInterpreter
+    {
       get { return SymbolicExpressionTreeInterpreterParameter.Value; }
       set { SymbolicExpressionTreeInterpreterParameter.Value = value; }
     }
 
-    public IntValue MaximumSymbolicExpressionTreeLength {
+    public IntValue MaximumSymbolicExpressionTreeLength
+    {
       get { return MaximumSymbolicExpressionTreeLengthParameter.Value; }
     }
 
-    public PercentValue RelativeNumberOfEvaluatedSamples {
+    public PercentValue RelativeNumberOfEvaluatedSamples
+    {
       get { return RelativeNumberOfEvaluatedSamplesParameter.Value; }
     }
 
-    public IntRange FitnessCalculationPartition {
+    public IntRange FitnessCalculationPartition
+    {
       get { return FitnessCalculationPartitionParameter.Value; }
     }
-    public IntRange ValidationPartition {
+    public IntRange ValidationPartition
+    {
       get { return ValidationPartitionParameter.Value; }
     }
-    public BoolValue ApplyLinearScaling {
+    public BoolValue ApplyLinearScaling
+    {
       get { return ApplyLinearScalingParameter.Value; }
     }
